classification
Title: Add email.parser.BytesHeaderParser
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: r.david.murray Nosy List: python-dev, r.david.murray, sdaoden
Priority: normal Keywords: patch

Created on 2011-03-26 15:05 by sdaoden, last changed 2011-04-13 20:48 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
11684.1.diff sdaoden, 2011-04-06 13:44 review
Messages (4)
msg132243 - (view) Author: Steffen Daode Nurpmeso (sdaoden) Date: 2011-03-26 15:05
David, you haven't added this one once you've added
BytesParser(), so i assume that happened intentionally.
On the other hand all the package heads in direction bytes,
and HeaderParser as such is currently somewhat unusable.
(The applied diff also corrects a documentation mispelling.)
msg133127 - (view) Author: Steffen Daode Nurpmeso (sdaoden) Date: 2011-04-06 13:44
This is a complete thing including tests.
Note that the tests fail due to another error
in generator.py (or wherever the real source is):

    TypeError: 'str' does not support the buffer interface

Please do forget this mortifying first diff.
msg133690 - (view) Author: Roundup Robot (python-dev) Date: 2011-04-13 20:46
New changeset a95d936ce8eb by R David Murray in branch 'default':
#11684: Complete parser bytes interface by adding BytesHeaderParser
http://hg.python.org/cpython/rev/a95d936ce8eb
msg133693 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-04-13 20:48
Thanks for correcting my oversight :)
History
Date User Action Args
2011-04-13 20:48:53r.david.murraysetversions: - Python 3.2
2011-04-13 20:48:35r.david.murraysetstatus: open -> closed
resolution: accepted
messages: + msg133693

stage: resolved
2011-04-13 20:46:38python-devsetnosy: + python-dev
messages: + msg133690
2011-04-06 13:54:54r.david.murraysetassignee: r.david.murray

nosy: + r.david.murray
2011-04-06 13:44:48sdaodensetfiles: - bytes-header-parser.1.diff
2011-04-06 13:44:42sdaodensetfiles: + 11684.1.diff
title: (Maybe) Add email.parser.BytesHeaderParser -> Add email.parser.BytesHeaderParser
nosy: - r.david.murray

messages: + msg133127

versions: + Python 3.2
2011-03-26 15:05:31sdaodencreate